BFtoBinaural {
	*ar {arg w, x, y, z, az, el, leftBuffer, rightBuffer, mul = 1, add = 0;
		var mono;
		az = az * 0.017453292519943; // convert to rad
		el = el * 0.017453292519943; // convert to rad
		mono = BFDecode1.ar(w, x, y, z, az, el);
		^Convolution2.ar(mono, [leftBuffer, rightBuffer], 0, 128, mul, add)
	}
}

KemarAiffHelper {
	classvar <basePath, <allPaths;

	*paths {arg az, el;
		var pathL, pathR;
		pathL = "%/elev%/L%e%a.aif".format(basePath, el, el, az.asStringToBase(10, 3));
		pathR = "%/elev%/R%e%a.aif".format(basePath, el, el, az.asStringToBase(10, 3));
		^[pathL, pathR];
	}
		
	*basePath_ {arg newPath;
		basePath = newPath;
		allPaths = (basePath ++ "/elev*/*").pathMatch;
	}
	
	// return a list of possible angles for a given elevation
	*azByEl {arg el;
		var elStr, splita, splitb, base, valid;
		elStr = el.asString;
		valid = allPaths.select({arg thisPath;
			base = thisPath.basename;
			#splita, splitb = base.split($e);
			elStr == splita[1..splita.size-1];
		});
		valid = valid.select({arg thisPath;
			thisPath.basename[0] == $L;
		});
		^valid.collect({arg thisPath;
			#splita, splitb = thisPath.basename.split($e);
			#splita, splitb = splitb.split($a);
			splita[0..splita.size-1].interpret;
		})
	}
	
}

/*
a = "L-40"
b = a[1..3].interpret
b.class
*/